/****************************************************************
*
*    Proprietary Data of Adapitve Networks Inc.
*              All rights reserved
*
* Notice:
*		This file contains trade secret data which
*		is the property of Adpative Networks Inc.  This
*		file may not be used for any purpose unless
*		permission is granted in writing by an officier
*		of Adapitve Networks Inc.
*
*
* Filename
*		system_TM4C129.h
*
* Description:
*		header file for system interrupts
*
* Revision History:
*       Khaled Saab Aug 07th 2014 creation date
****************************************************************/
#ifndef _SYSTEM_TM4C129_H__
#define _SYSTEM_TM4C129_H__

//-------------------------------------------------------------------------
// Include header Files
//-------------------------------------------------------------------------
#include <stdint.h>     //definitions like uint32_t, ...

//-------------------------------------------------------------------------
// Compile flags
//-------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Global defines
//-------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Global varialbes redeclaration
//-------------------------------------------------------------------------
extern uint32_t gSysCtlClock;

//-------------------------------------------------------------------------
// Function define
//-------------------------------------------------------------------------

//-------------------------------------------------------------------------
// Function Prototypes
//-------------------------------------------------------------------------
void SystemInit (void);
void systemReset(void);
void clockInit(void);
void IRQ_Init(void);

#endif //_SYSTEM_TM4C129_H__
/*** end of file *****************************************************/
